Support » Plugins and Hacks » Exclude Pages » Conflicts with Contexture Page Security plugin

  • Contexture Page Security plugin causes $page object to go null before exclude pages runs, which causes conflicts and errors. The fix is simple – just a few NULL checks in the code.

    Here’s a fixed version if you wanted to diff that into the main build:

    http://pastebin.com/kzRCG2xj

    The changes are just checking for $page!== NULL anywhere it’s used.
    E.G: LINE 55:

    if ( $page !== NULL && ep_ancestor_excluded( $page, $excluded_ids, $pages ) ) {

    http://wordpress.org/plugins/exclude-pages/

  • The topic ‘Conflicts with Contexture Page Security plugin’ is closed to new replies.